summaryrefslogtreecommitdiffstats
path: root/.local/bin/arkenfox-auto-update
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/arkenfox-auto-update')
-rwxr-xr-x.local/bin/arkenfox-auto-update23
1 files changed, 23 insertions, 0 deletions
diff --git a/.local/bin/arkenfox-auto-update b/.local/bin/arkenfox-auto-update
new file mode 100755
index 0000000..7664a4f
--- /dev/null
+++ b/.local/bin/arkenfox-auto-update
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# A wrapper for the arkenfox-updater that runs it on all pre-existing Arkenfox
+# user.js files on the machine.
+
+# On installation of LARBS, this file is copied to /usr/local/lib/ where it is
+# run by a pacman hook set up. The user should not have to run this manually.
+
+# Search for all Firefox and Librewolf profiles using Arkenfox.
+profiles="$(grep -sH "arkenfox user.js" \
+ /home/*/.librewolf/*.default-release/user.js \
+ /home/*/.mozilla/firefox/*.default-release/user.js)"
+
+IFS='
+'
+
+# Update each found profile.
+for profile in $profiles; do
+ userjs=${profile%%/user.js*}
+ user=$(stat -c '%U' "$userjs") || continue
+
+ su -l "$user" -c "arkenfox-updater -c -p $userjs -s"
+done